using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HKCardOUT.Logic.Model
{
    [SugarTable("SaleLog")]
    public class SaleLog : BaseEntity
    {
        /// <summary>
        /// 卡号
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public string CardNo { get; set; }
        /// <summary>
        /// 消费位置
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public string Location { get; set; }
        /// <summary>
        /// 是否同步过了
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public bool IsSync { get; set; }
        [SugarColumn(IsIgnore =true)]
        public int Count { get; set; }
    }
}
